/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import java.util.List;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class KelompokTransaksiDetailDto {

	private List<KodeIntegerDto> kdKelompokTransaksi;

	@NotNull(message = "kelompoktransaksi.reportdisplay.notnull")
	private String reportDisplay;

	private String kodeExternal;

	private String namaExternal;

	@NotNull(message = "kelompoktransaksi.statusenabled.notnull")
	private Boolean statusEnabled;

	private Integer kdStrukturNomor;

	private Integer isRealSK;

	private Integer qtyHariMinPostingBefore;

	private Float qtyJamMaxPostingBefore;

	private Integer qtyHariActiveAfterSK;

	private Float qtyHariMinNewPosting;

	private Integer qtyHariMaxPostingExpired;

	private Float qtyJamMaxPostingExpired;

	private Integer isCostInOut;

}
